<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');
include($rutaPhp.$rutaHtml.'/librerias/calculadora.php');

include($rutaPhp.$rutaHtml.'/librerias/funciones-gs1.php');

?>

<div style="font-size:0.9em">

<h2>Tester lectura precinta</h2>

<p>Lectura:<br /><input type="text" name="lectura" id="lectura" style="width:90%;font-size:0.9em" class="campo"/></p>

<p>Nº Precinta:<br /><input type="text" name="precinta" id="precinta" style="width:200px;font-size:0.9em" class="campo" readonly/></p>

<div id="resultado"></div>

<p><input type="submit" name="botonReiniciar" id="botonReiniciar" value="Reiniciar" class="boton"/></p>

<p>Lectura real codificada: </p>
<p><textarea name="lecturaReal" id="lecturaReal" rows="25" style="width:90%"></textarea></p>

</div>

<script>

var lecturaScanner=new Array();
var cadenaLectura='';

$(document).ready(function() {
	
	<?php if(!$desactivaScannerBluetooth && !$desactivaScannerBluetoothParaPrecinta) { ?>
	//Si no está dsactivado el scanner de bluetooth y no está forzado el desactivarlo especfíciamente para precintas.
	
	$("#lectura").on('keydown',function(e){
	
		e.preventDefault();
		var resultado='';
		
		nuevaLinea='Tecla: '+e.key+' / Codigo: '+e.keyCode+' |||| Tecla: '+String.fromCharCode(e.which)+' / Codigo: '+e.which+' / Codigo char: '+e.charCode+'\n';
		$("#lecturaReal").val( $("#lecturaReal").val() + nuevaLinea );
		
		if(e.which==13 || e.key=='Enter') {
			$('#lectura').trigger('change');
		}
		else lecturaScanner.push( [ String.fromCharCode(e.which) , e.which , e.key ] );
	});
	
	<?php } ?>
	
	$('#lectura').on('change',function(){
				
		//Método que detecta que se ha hecho una nueva lectura.
		//tenemos que comprobar si procede del scanner o procede del teclado emergente
		
		console.log('Change en campo lectura.');
		
		<?php if( $desactivaScannerBluetooth || $desactivaScannerBluetoothParaPrecinta ) { ?>
		//Si está desactivado el scanner de bluetooth en general o está desactivado específicamente para precintas
		
		var lecturaFinal=$(this).val();
		
		<?php } else { ?>
		
		var lecturaFinal='';
		
		lecturaFinal=limpiaLecturaDesdeScannerPrecinta( lecturaScanner );
		
		$('#lectura').val( lecturaFinal );
		
		<?php } ?>
		
		var precinta=extraePrecintaDeURL(lecturaFinal);
		
		$('#precinta').val( precinta );
		
		
		
	});
	
	$('#botonReiniciar').on('click',function(){
	
		console.log('Reinicio');
	
		<?php if(!$desactivaScannerBluetooth && !$desactivaScannerBluetoothParaPrecinta) { ?>
		//Si no está dsactivado el scanner de bluetooth y no está forzado el desactivarlo especfíciamente para precintas.
		
		lecturaScanner=new Array();
		cadenaLectura='';
		
		<?php } ?>
	
		$('#lectura').val('');
		$('#precinta').val('');
		$('#lecturaReal').val('');
		$('#resultado').html('');
		$('#lectura').focus();
		
	});
	
	$('#lectura').focus();
	
});

</script>

<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
